Page MenuHomePhabricator

[Task] Update addWiki.php to handle adding wbc_entity_usage table
Closed, ResolvedPublic

Description

we should have some config file that lists the groups that have Wikibase Client enabled. if so, then add the table and add the wiki to wikidataclient.dblist.

see https://wikitech.wikimedia.org/wiki/Addwiki.php

(also populate sites should be handled, but there is a separate patch for that and the populateSitesTable script needs some adjustments)

Details

Related Gerrit Patches:
mediawiki/extensions/WikimediaMaintenance : masterAdd wikibase usage tracking table for new wikis
mediawiki/extensions/WikimediaMaintenance : wmf/1.26wmf6Add wikibase usage tracking table for new wikis

Related Objects

View Standalone Graph
This task is connected to more than 200 other tasks. Only direct parents and subtasks are shown here. Use View Standalone Graph to show more of the graph.

Event Timeline

aude created this task.May 13 2015, 2:18 PM
aude raised the priority of this task from to Needs Triage.
aude updated the task description. (Show Details)
aude added a project: Wikidata.
aude added subscribers: aude, Krenair, demon.
Restricted Application added a subscriber: Aklapper. · View Herald TranscriptMay 13 2015, 2:18 PM
aude updated the task description. (Show Details)May 13 2015, 2:20 PM
aude set Security to None.
Lydia_Pintscher triaged this task as Normal priority.May 15 2015, 1:47 PM
Lydia_Pintscher moved this task from incoming to ready to go on the Wikidata board.

Change 217553 had a related patch set uploaded (by Aude):
Add wikibase usage tracking table for new wikis

https://gerrit.wikimedia.org/r/217553

Change 218657 had a related patch set uploaded (by Aude):
Add wikibase usage tracking table for new wikis

https://gerrit.wikimedia.org/r/218657

Change 217553 abandoned by Aude:
Add wikibase usage tracking table for new wikis

Reason:
no idea why i submitted to a branch

https://gerrit.wikimedia.org/r/217553

Jonas renamed this task from Update addWiki.php to handle adding wbc_entity_usage table to [Task] Update addWiki.php to handle adding wbc_entity_usage table.Aug 14 2015, 9:12 AM

Change 218657 merged by jenkins-bot:
Add wikibase usage tracking table for new wikis

https://gerrit.wikimedia.org/r/218657

aude closed this task as Resolved.Aug 14 2015, 2:55 PM
aude removed a project: Patch-For-Review.